[SRU] Regressions in the -core packages split

Bug #1471661 reported by Alberto Milone on 2015-07-06
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Alberto Milone
Trusty
High
Alberto Milone
Vivid
High
Alberto Milone
fglrx-installer-updates (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

[Impact]
As per the topic, a couple of regressions were introduced as part of the work on the core package split. This can cause build issues with the packages missing files.

The problem is fixed upstream.

[Test Case]
Install the new packages and check that the amdcccle panel can be launched.

[Regression Potential]
Low, the patches come from upstream and are already included wily.

Changed in fglrx-installer (Ubuntu Trusty):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Vivid):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Trusty):
status: New → In Progress
Changed in fglrx-installer (Ubuntu Vivid):
status: New → In Progress
Changed in fglrx-installer (Ubuntu Trusty):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu Vivid):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu):
status: New → Fix Released
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
summary: - Remove the extra "done"s from for loops in debian/rules
+ Regressions in the -core packages split
description: updated
Changed in fglrx-installer (Ubuntu):
status: Fix Released → In Progress
description: updated

This bug was fixed in the package fglrx-installer - 2:15.200-0ubuntu7

---------------
fglrx-installer (2:15.200-0ubuntu7) wily; urgency=medium

  * debian/fglrx-amdcccle-updates.dirs.in:
    - Rename the template to debian/fglrx-amdcccle.dirs.in, so that
      the correct file can be regenerated (LP: #1471661).

 -- Alberto Milone <email address hidden> Mon, 06 Jul 2015 11:44:42 +0200

Changed in fglrx-installer (Ubuntu):
status: In Progress → Fix Released
description: updated
summary: - Regressions in the -core packages split
+ [SRU] Regressions in the -core packages split

Hello Alberto, or anyone else affected,

Accepted fglrx-installer into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer/2:15.200-0ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer (Ubuntu Vivid):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in fglrx-installer (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Alberto, or anyone else affected,

Accepted fglrx-installer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer/2:15.200-0ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer-updates (Ubuntu):
status: New → Fix Released
Changed in fglrx-installer-updates (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Alberto, or anyone else affected,

Accepted fglrx-installer-updates into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:15.200-0ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer-updates (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Alberto, or anyone else affected,

Accepted fglrx-installer-updates into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:15.200-0ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of fglrx-installer from vivid-proposed was performed and bug 1479913 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and tag 1479913 "bot-stop-nagging". Thanks!

tags: added: verification-failed

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of fglrx-installer from trusty-proposed was performed and bug 1480588 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that bug 1480588 is not a regression, tag it "bot-stop-nagging". Thanks!

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of fglrx-installer-updates from vivid-proposed was performed and bug 1480544 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that bug 1480544 is not a regression, tag it "bot-stop-nagging". Thanks!

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of fglrx-installer-updates from trusty-proposed was performed and bug 1481752 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that bug 1481752 is not a regression, tag it "bot-stop-nagging". Thanks!

Hello Alberto, or anyone else affected,

Accepted fglrx-installer into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer/2:15.200-0ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-failed
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted fglrx-installer-updates into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:15.200-0ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted fglrx-installer-updates into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:15.200-0ubuntu0.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted fglrx-installer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fglrx-installer/2:15.200-0ubuntu0.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Alberto Milone (albertomilone) wrote :

I can confirm that the updates solve the problem here. The amdcccle panel can be launched correctly.

Timo Aaltonen (tjaalton) on 2015-08-19
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:15.200-0ubuntu4.2

---------------
fglrx-installer (2:15.200-0ubuntu4.2) vivid-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

fglrx-installer (2:15.200-0ubuntu4.1) vivid-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle-updates.dirs.in:
    - Rename the template to debian/fglrx-amdcccle.dirs.in, so that
      the correct file can be regenerated.
  * debian/fglrx-amdcccle.preinst.in:
    - Make sure to remove amdcccle to ensure a smooth transition
      on dist-upgrade.

 -- Alberto Milone <email address hidden> Tue, 18 Aug 2015 11:13:16 +0200

Changed in fglrx-installer (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for fglrx-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:15.200-0ubuntu4.2

---------------
fglrx-installer-updates (2:15.200-0ubuntu4.2) vivid-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

fglrx-installer-updates (2:15.200-0ubuntu4.1) vivid-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle.preinst.in:
    - Make sure to remove amdcccle to ensure a smooth transition
      on dist-upgrade.

 -- Alberto Milone <email address hidden> Tue, 18 Aug 2015 11:30:34 +0200

Changed in fglrx-installer-updates (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:15.200-0ubuntu0.5

---------------
fglrx-installer (2:15.200-0ubuntu0.5) trusty-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

fglrx-installer (2:15.200-0ubuntu0.4) trusty-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle-updates.dirs.in:
    - Rename the template to debian/fglrx-amdcccle.dirs.in, so that
      the correct file can be regenerated.

 -- Alberto Milone <email address hidden> Mon, 17 Aug 2015 16:48:12 +0200

Changed in fglrx-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:15.200-0ubuntu0.5

---------------
fglrx-installer-updates (2:15.200-0ubuntu0.5) trusty-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

fglrx-installer-updates (2:15.200-0ubuntu0.4) trusty-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.

 -- Alberto Milone <email address hidden> Mon, 17 Aug 2015 17:02:32 +0200

Changed in fglrx-installer-updates (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers